import {
	observer
} from 'mobx-react';
import {
	WeaDialog
} from 'ecCom';
import DialogContent from './DialogContent';

@observer
export default class Dialog extends React.Component {
	constructor(props) {
		super(props);
	}

	render() {
		const {
			store,
			dialog,
		} = this.props, {
			DIALOG,
		} = store;

		return (
			<WeaDialog ecId={`${this && this.props && this.props.ecId || ''}_WeaDialog@7wbh76`}
				{...DIALOG}
				{...dialog}
				{...this.props}
			>
				<DialogContent ecId={`${this && this.props && this.props.ecId || ''}_DialogContent@mced5n`} {...this.props}/>
			</WeaDialog>
		);
	}
}